<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
class Core_Model_DbTable_Dashboards extends Engine_Db_Table
{

  protected $_rowClass = "Core_Model_Dashboard";

  public function getDashboard($param = array())
  {

    $tableName = $this->info('name');
    $select = $this->select()
      ->from($tableName);

    if (isset($param['fetchAll'])) {
      $select->where('enabled =?', 1);
      return $this->fetchAll($select);
    }

    return Zend_Paginator::factory($select);
  }
}
